% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/updateOutputSettings.R
\name{updateOutputSettings}
\alias{updateOutputSettings}
\title{Update output parameters of an Antares study}
\usage{
updateOutputSettings(
  synthesis = NULL,
  storenewset = NULL,
  archives = NULL,
  opts = antaresRead::simOptions()
)
}
\arguments{
\item{synthesis}{Logical. If TRUE, synthetic results will be stored in a
directory Study_name/OUTPUT/simu_tag/Economy/mc-all. If FALSE, No general
synthesis will be printed out.}

\item{storenewset}{Logical. See Antares General Reference Guide.}

\item{archives}{Character vector. Series to archive.}

\item{opts}{List of simulation parameters returned by the function
\code{antaresRead::setSimulationPath}}
}
\value{
An updated list containing various information about the simulation.
}
\description{
Update output parameters of an Antares study
}
\examples{
\dontrun{

updateOutputSettings(synthesis = TRUE, storenewset = FALSE,
                     archives = c("load", "wind"))

}

}
